Page MenuHomePhabricator

No click-through landing page
Closed, ResolvedPublic

Description

Go straight to the main UI when the user opens the tool, rather than having them read text and click a button

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2017, 7:00 AM
Ocaasi_WMF triaged this task as Medium priority.May 25 2017, 10:08 AM
Ocaasi_WMF lowered the priority of this task from Medium to Low.May 25 2017, 12:25 PM

If you link https://tools.wmflabs.org/oabot/login , after confirmation they go straight to https://tools.wmflabs.org/oabot/review-edit . WORKSFORME.

Ocaasi added a subscriber: Ocaasi.Oct 28 2017, 3:25 PM

I checked and www.oabot.org/login will work as a better url. But this is
still a little sub-optimal if you're a heavy user and already logged in, no?

still a little sub-optimal if you're a heavy user and already logged in, no?

Looks good enough to me, but we could make the login page check whether the user is already logged in.

Nemo_bis closed this task as Resolved.Dec 15 2019, 2:34 PM
Nemo_bis claimed this task.

Oh well, let's do it.

Hm, a small byproduct of the change is that one cannot any more see the footer (with the links to the English Wikipedia) because it's only shown on the main page. I guess it's easy to show it on the other pages as well.